<xsl:template name="image">
  <xsl:param name="filename"/>
  <xsl:param name="alt"/>
  <xsl:variable name="path" select="concat($im-path, $filename)"/>
  <xsl:if test="not(files:exists($path))">
    <xsl:message terminate="yes">
      Error: Image <xsl:value-of select="$path"/> not found
    </xsl:message>
  </xsl:if>
  <img 
      src="{$path}" 
      width="{graph:getw($path)}" 
      height="{graph:geth($path)}"
      alt="{$alt}" border="0"/>
</xsl:template>